/*
 * Copyright (c) 2011 Michael Pippig
 *
 * This file is part of PNFFT.
 *
 * PNFFT is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * PNFFT is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with PNFFT.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include "pnfft.h"
#include "ipnfft.h"

int PNX(create_procmesh)(
    int rnk, MPI_Comm comm, const int *np,
    MPI_Comm *comm_cart
    )
{
  return PX(create_procmesh)(rnk, comm, np,
      comm_cart);
}    


int PNX(create_procmesh_2d)(
    MPI_Comm comm, int np0, int np1,
    MPI_Comm *comm_cart_2d
    )
{
  return PX(create_procmesh_2d)(
      comm, np0, np1, comm_cart_2d);
}


INT PNX(prod_INT)(
    int d, const INT *vec
    )
{
  return PX(prod_INT)(d, vec);
}


int PNX(equal_INT)(
    int d, const INT *vec1, const INT *vec2
    )
{
  return PX(equal_INT)(d, vec1, vec2);
}


void PNX(vcopy_INT)(
    int d, const INT *vec1,
    INT *vec2
    )
{
  PX(vcopy_INT)(d, vec1,
      vec2);
}


void PNX(vadd_INT)(
    int d, const INT *vec1, const INT *vec2,
    INT *sum
    )
{
  PX(vadd_INT)(d, vec1, vec2,
      sum);
}


void PNX(vsub_INT)(
    int d, const INT *vec1, const INT *vec2,
    INT *sum
    )
{
  PX(vsub_INT)(d, vec1, vec2,
      sum);
}
